SubstructMatch.h File Reference
`#include <vector>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

bool | RDKit::SubstructMatch (const ROMol &mol, const ROMol &query, MatchVectType &matchVect, bool recursionPossible=true, bool useChirality=false, bool useQueryQueryMatches=false)
| Find a substructure match for a query in a molecule. More...
bool | RDKit::SubstructMatch (ResonanceMolSupplier &resMolSuppl, const ROMol &query, MatchVectType &matchVect, bool recursionPossible=true, bool useChirality=false, bool useQueryQueryMatches=false)
| Find a substructure match for a query in a ResonanceMolSupplier object. More...
unsigned int | RDKit::SubstructMatch (const ROMol &mol, const ROMol &query, std::vector< MatchVectType > &matchVect, bool uniquify=true, bool recursionPossible=true, bool useChirality=false, bool useQueryQueryMatches=false, unsigned int maxMatches=1000)
| Find all substructure matches for a query in a molecule. More...
unsigned int | RDKit::SubstructMatch (ResonanceMolSupplier &resMolSuppl, const ROMol &query, std::vector< MatchVectType > &matchVect, bool uniquify=false, bool recursionPossible=true, bool useChirality=false, bool useQueryQueryMatches=false, unsigned int maxMatches=1000, int numThreads=1)
| Find all substructure matches for a query in a ResonanceMolSupplier object. More...